FAULTSTAT(8)

NAME
faultstat - report page faults

SYNOPSIS
faultstat [options] [delay [count]]

DESCRIPTION
faultstat reports the major and minor page fault activity of processes.

If a delay and count are not specified, a snapshot of the current page fault activity is displayed.

If a delay in seconds is specified, faultstat will periodically show any per-process page fault changes. This will run indefinitely until a SIGINT is caught. Specifying count will repeat the periodic output count number of times.

OPTIONS
faultstat options are as follow:

-a  show page fault size changes with up arrow ↑ when they increment

-c  get command information from processes comm field

-d  strip directory basename off command information

-h  show help

-l  show long (full) command information

-p proclist
    specify a comma separated list of processes to monitor; the process list may contain one or more PIDs or process names

-s  show short command information

-t  top mode, show top page faulting processes by current page fault changes

-T  top mode, show top page faulting processes by total page faults

Hot keys in top mode:
Key | Operation
a | Toggle page fault change arrow on or off
s | Switch sorting order: Major and Minor, Major, Minor, +Major and +Minor, +Major, +Minor, Swap
t | Toggle between total page fault count and page fault changes
q or Esc | Quit

SEE ALSO
cpustat(8), eventstat(8), forkstat(8), smemstat(8), top(1), vmstat(8)

AUTHOR
faultstat was written by Colin Ian King <colin.i.king@gmail.com>

This manual page was written by Colin Ian King <colin.i.king@gmail.com>, for the Ubuntu project (but may be used by others).

COPYRIGHT
Copyright © 2014-2021 Canonical Ltd, © 2021-2024 Colin Ian King.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.